Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.util
Class TokenizerKit

    java.lang.Object
      echopointng.util.TokenizerKit

    public class TokenizerKit

extends java.lang.Object

The TokenizerKit class is useful for break a String down into an array of "Token" strings. This class is more powerful than the standard java.util.StringTokenizer.

Method Summary
`static java.lang.String[]` | `tokenize(java.lang.String str, java.lang.String delims)` Tokenizes a string into an array of Strings based on the delimeters while respecting the quote characters ' and " as well defining whitespace characters 0 to 32 as delimeters.
`static java.lang.String[]` | `tokenize(java.lang.String str, java.lang.String delims, boolean returnDelimeters)` Tokenizes a string into an array of Strings based on the delimeters while respecting the quote characters ' and " as well defining whitespace characters 0 to 32 as delimeters.
`static java.lang.String[]` | `tokenizeStrict(java.lang.String str, java.lang.String delims)` Tokenizes a string into an array of Strings based on the delimeters while respecting the quote characters ' and " but the common whitespace characters space, tab, carriage return and newline are no longer whitespace.
`static java.lang.String[]` | `tokenizeStrict(java.lang.String str, java.lang.String delims, boolean returnDelimeters)` Tokenizes a string into an array of Strings based on the delimeters while respecting the quote characters ' and " but the common whitespace characters space, tab, carriage return and newline are no longer whitespace.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### tokenize

    public static java.lang.String[] tokenize(java.lang.String str,
                                              java.lang.String delims)

  Tokenizes a string into an array of Strings based on the delimeters while respecting the quote characters ' and " as well defining whitespace characters 0 to 32 as delimeters.

  Parameters:
    `str` - - the string to tokenize
    `delims` - - the string of allowable delimeter characters
  Returns:
    a String[] of tokens

### tokenizeStrict

    public static java.lang.String[] tokenizeStrict(java.lang.String str,
                                                    java.lang.String delims)

  Tokenizes a string into an array of Strings based on the delimeters while respecting the quote characters ' and " but the common whitespace characters space, tab, carriage return and newline are no longer whitespace.

  Parameters:
    `str` - - the string to tokenize
    `delims` - - the string of allowable delimeter characters
  Returns:
    a String[] of tokens

### tokenize

    public static java.lang.String[] tokenize(java.lang.String str,
                                              java.lang.String delims,
                                              boolean returnDelimeters)

  Tokenizes a string into an array of Strings based on the delimeters while respecting the quote characters ' and " as well defining whitespace characters 0 to 32 as delimeters.

  Parameters:
    `str` - - the string to tokenize
    `delims` - - the string of allowable delimeter characters
    `returnDelimeters` - - if true then delimeters will be returned in the tokens array
  Returns:
    a String[] of tokens

### tokenizeStrict

    public static java.lang.String[] tokenizeStrict(java.lang.String str,
                                                    java.lang.String delims,
                                                    boolean returnDelimeters)

  Tokenizes a string into an array of Strings based on the delimeters while respecting the quote characters ' and " but the common whitespace characters space, tab, carriage return and newline are no longer whitespace.

  Parameters:
    `str` - - the string to tokenize
    `delims` - - the string of allowable delimeter characters
    `returnDelimeters` - - if true then delimeters will be returned in the tokens array
  Returns:
    a String[] of tokens

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD